# Uses of Class
serp.bytecode.Annotation.Property

Packages that use Annotation.Property
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Annotation.Property in serp.bytecode

Methods in serp.bytecode that return Annotation.Property
Modifier and Type
Method
Description
`Annotation.Property`
Annotation.`addProperty(String name)`
Add a new property.
`Annotation.Property`
Annotation.`addProperty(Annotation.Property p)`
Import a property from another instance.
`Annotation.Property[]`
Annotation.`getProperties()`
All declared properties.
`Annotation.Property`
Annotation.`getProperty(String name)`
Return the property with the given name, or null if none.
Methods in serp.bytecode with parameters of type Annotation.Property
Modifier and Type
Method
Description
`Annotation.Property`
Annotation.`addProperty(Annotation.Property p)`
Import a property from another instance.
`boolean`
Annotation.`removeProperty(Annotation.Property prop)`
Remove the given property.
`void`
Annotation.`setProperties(Annotation.Property[] props)`
Set the annotation properties.

## Uses of Annotation.Property in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Annotation.Property
Modifier and Type
Method
Description
`void`
BCVisitor.`enterAnnotationProperty(Annotation.Property obj)`
`void`
PrettyPrintVisitor.`enterAnnotationProperty(Annotation.Property obj)`
`void`
BCVisitor.`exitAnnotationProperty(Annotation.Property obj)`
`void`
PrettyPrintVisitor.`exitAnnotationProperty(Annotation.Property obj)`